Home

# Class goog.ui.editor.AbstractDialog.Builder

A builder class for the dialog control. All methods except build return this.

Instance Method Summary
| `addButton(string label, function ((goog.ui.Dialog.EventType|null)): * handler, string= opt_buttonId) ⇒ ?goog.ui.editor.AbstractDialog.Builder` Adds a custom button to the dialog.
| `addCancelButton(string= opt_label) ⇒ ?goog.ui.editor.AbstractDialog.Builder` Adds a Cancel button to the dialog. Clicking this button will cause {@link handleCancel} to run, subsequently dispatching a CANCEL event.
| `addClassName(string className) ⇒ ?goog.ui.editor.AbstractDialog.Builder` Puts a CSS class on the dialog's main element.
| `addOkButton(string= opt_label) ⇒ ?goog.ui.editor.AbstractDialog.Builder` Adds an OK button to the dialog. Clicking this button will cause {@link handleOk} to run, subsequently dispatching an OK event.
| `build() ⇒ ?goog.ui.Dialog` Builds the wrapped dialog control. May only be called once, after which no more methods may be called on this builder.
| `setContent(?Element contentElem) ⇒ ?goog.ui.editor.AbstractDialog.Builder` Sets the content element of the dialog.
| `setTitle(string title) ⇒ ?goog.ui.editor.AbstractDialog.Builder` Sets the title of the dialog.